Skip to main content
GET
/
admin
/
api
/
v1
/
distributions
/
{distribution_id}
cURL
curl --request GET \
  --url https://merits.blockscout.com/admin/api/v1/distributions/{distribution_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://merits.blockscout.com/admin/api/v1/distributions/{distribution_id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://merits.blockscout.com/admin/api/v1/distributions/{distribution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "description": "<string>",
  "total_receivers": "<string>",
  "total_accounts_created": "<string>",
  "total_distributed": "<string>",
  "distributions": [
    {
      "address": "<string>",
      "amount": "<string>"
    }
  ],
  "distributed_at": "<string>"
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Authentication token, prefixed by Bearer: Bearer

Path Parameters

distribution_id
string
required

Response

A successful response.

id
string
description
string
total_receivers
string<uint64>
total_accounts_created
string<uint64>
total_distributed
string
distributions
object[]
distributed_at
string